ds.field_plugin.node_title:
  type: ds.field_plugin.title

ds.field_plugin.taxonomy_term_title:
  type: ds.field_plugin.title

ds.field_plugin.username:
  type: ds.field_plugin.title

ds.field_plugin.title:
  type: mapping
  label: 'Mapping for the title field settings'
  mapping:
    link:
      type: boolean
      label: 'Link to content'
    link class:
      type: string
      label: 'Link class'
    wrapper:
      type: string
      label: 'Wrapper of the field'
    class:
      type: string
      label:  'Class of the field'

ds.field_plugin.node_link:
  type: ds.field_plugin.link

ds.field_plugin.taxonomy_term_link:
  type: ds.field_plugin.link

ds.field_plugin.link:
  type: mapping
  label: 'Mapping for the link field settings'
  mapping:
    link text:
      type: string
      label: 'Link text'
    link class:
      type: string
      label: 'Link class'
    wrapper:
      type: string
      label: 'Wrapper of the field'
    class:
      type: string
      label:  'Class of the field'

ds.field_plugin.user:
  type: ds.field_plugin.entity

ds.field_plugin.mail_link:
  type: mapping
  label: 'Mapping for the mail link field settings'
  mapping:
    mail_link:
      type: boolean
      label: 'Link to mail'

ds.field_plugin.entity:
  type: mapping
  label: 'Mapping for the entity field settings'
  mapping:
    entity_view_mode:
      type: string
      label: 'Display mode'
